         # File lib/protocols/smtpclient.rb, line 128
    128:                 def unbind
    129:                         unless @succeeded
    130:                                 @return_values.elapsed_time = Time.now - @return_values.start_time
    131:                                 @return_values.responder = @responder
    132:                                 @return_values.code = @code
    133:                                 @return_values.message = @msg
    134:                                 set_deferred_status(:failed, @return_values)
    135:                         end
    136:                 end